%define anolis_release 1

Summary: A GNU stream text editor
Name: sed
Version: 4.9
Release: %{anolis_release}%{?dist}
License: GPLv3+
URL: http://sed.sourceforge.net/
Source0: ftp://ftp.gnu.org/pub/gnu/sed/%{name}-%{version}.tar.xz
Source1: http://sed.sourceforge.net/sedfaq.txt
BuildRequires: make
BuildRequires: gettext
BuildRequires: glibc-devel, libselinux-devel, libacl-devel, automake, autoconf, gcc
BuildRequires: perl-Getopt-Long
BuildRequires: perl(FileHandle)

Provides: /bin/sed

#copylib
Provides: bundled(gnulib)

%description
The sed (Stream EDitor) editor is a stream or batch (non-interactive)
editor.  Sed takes text as input, performs an operation or set of
operations on the text and outputs the modified text.  The operations
that sed performs (substitutions, deletions, insertions, etc.) can be
specified in a script file or from the command line.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q


sed -e 's/1729576/EPERM/' \
    -i gnulib-tests/test-{strerror_r,perror2}.c

%build
%configure --without-included-regex --with-packager=%{_vendor}
%make_build
install -m 644 -p %{SOURCE1} sedfaq.txt
gzip -9 sedfaq.txt

%check
echo ====================TESTING=========================
%make_build check
echo ====================TESTING END=====================

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%{!?_licensedir:%global license %%doc}
%license COPYING 
%{_bindir}/sed
%{_infodir}/sed.info*
%{_mandir}/man1/sed.1*

%files doc
%doc BUGS NEWS THANKS README AUTHORS sedfaq.txt.gz

%changelog
* Mon Nov 7 2022 Funda Wang <fundawang@yeah.net> - 4.9-1
- New version 4.9

* Sun Oct 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.8-2
- add doc package

* Thu Mar 10 2022 zhang xianting <zhangxianting@uniontech.com> - 4.8-1
- Initial build for Anolis v23
